# obspy.core.event.base.QuantityError

class `QuantityError`(uncertainty=None, lower_uncertainty=None, upper_uncertainty=None, confidence_level=None)

  Bases: `obspy.core.util.attribdict.AttribDict`

  Uncertainty information for a physical quantity.

  Parameters: | uncertainty (float) Uncertainty as the absolute value of symmetric deviation from the main value. lower_uncertainty (float) Uncertainty as the absolute value of deviation from the main value towards smaller values. upper_uncertainty (float) Uncertainty as the absolute value of deviation from the main value towards larger values. confidence_level (float) Confidence level of the uncertainty, given in percent (0-100).

  Attributes

  `__abstractmethods__` | frozenset() -> empty frozenset object
  `__dict__` |
  `__doc__` | str(object=’‘) -> str
  `__hash__` |
  `__module__` | str(object=’‘) -> str
  `__slots__` | tuple() -> empty tuple
  `__weakref__` | list of weak references to the object (if defined)
  `defaults` | dict() -> new empty dictionary
  `do_not_warn_on` | list() -> new empty list
  `readonly` | list() -> new empty list
  `warn_on_non_default_key` | bool(x) -> bool

  Public Methods

  `clear` |
  `copy` |
  `get` |
  `items` |
  `keys` |
  `pop` | If key is not found, d is returned if given, otherwise KeyError is raised.
  `popitem` | as a 2-tuple; but raise KeyError if D is empty.
  `setdefault` |
  `update` |
  `values` |

  Private Methods

  Warning

  Private methods are mainly for internal/developer use and their API might change without notice.

  `_pretty_str` | Return better readable string representation of AttribDict object.

  Special Methods

  `__bool__` | Boolean testing for QuantityError.
  `__contains__` |
  `__deepcopy__` |
  `__delattr__` |
  `__delitem__` |
  `__dir__` | default dir() implementation
  `__eq__` |
  `__format__` | default object formatter
  `__getattr__` | Py3k hasattr() expects an AttributeError no KeyError to be
  `__getitem__` |
  `__getstate__` |
  `__init__` |
  `__iter__` |
  `__len__` |
  `__new__` | Create and return a new object.
  `__nonzero__` | Boolean testing for QuantityError.
  `__reduce__` | helper for pickle
  `__reduce_ex__` | helper for pickle
  `__repr__` |
  `__setattr__` |
  `__setitem__` |
  `__setstate__` |
  `__sizeof__` | size of object in memory, in bytes
  `__subclasshook__` |

### Thank you!

We would like to thank our contributors, whose efforts make this software what it is. These people have helped by writing code and documentation, and by testing. They have created and maintained this product, its associated libraries and applications, our build tools and our web sites.

#### Contributors

- Ackerley, Nick
- Allgeyer, Sebastien
- Ammon, Charles J.
- Antunes, Emanuel
- Arnarsson, Ólafur St.
- Bank, Markus
- Barsch, Robert
- Behr, Yannik
- Bernardi, Fabrizio
- Bernauer, Felix
- Bes de Berc, Maxime
- Beyreuther, Moritz
- Boltz, Shawn
- Bonaimé, Sébastien
- Carothers, Lloyd
- Chamberlain, Calum
- Chambers, Derrick
- Chen, Zhao
- Clark, Adam
- Danecek, Peter
- Egdorf, Sven
- Engels, Fabian
- Ermert, Laura
- Eulenfeld, Tom

- Fabbri, Tommaso
- Falco, Nicholas
- Fee, Jeremy
- Grellier, Clément
- Grunberg, Marc
- Hammer, Conny
- Heimann, Sebastian
- Heiniger, Lukas
- Hope, Gaute
- Igel, Heiner
- Inza, Adolfo
- Isken, Marius
- Ketchum, David
- Koymans, Mathijs
- Kremers, Simon
- Kress, Victor
- Krieger, Lars
- Krischer, Lion
- Kula, Damian
- Käufl, Paul
- Köhler, Andreas
- Lecocq, Thomas
- Leeman, John
- Legovini, Paride

- Lesage, Philippe
- Li, Yulin
- Lomax, Anthony
- Lopes, Rui L.
- MacCarthy, Jonathan
- Maggi, Alessia
- Martin, Henri
- Medlin, Andrew
- Megies, Tobias
- Meschede, Matthias
- Michelini, Alberto
- Miller, Nathaniel C.
- Morgenstern, Bernhard
- Nof, Ran Novitsky
- Panning, Mark P.
- Parker, Tom
- Pestourie, Romain
- Rapagnani, Giovanni
- Reyes, Celso
- Ringler, Adam
- Rothenhäusler, Nicolas
- Russo, Emiliano
- Sales de Andrade, Elliott

- Satriano, Claudio
- Saul, Joachim
- Scheingraber, Chris
- Schneider, Simon
- Sippl, Christian
- Snoke, Arthur
- Stange, Stefan
- Stähler, Simon C.
- Sullivan, Benjamin
- Tian, Dongdong
- Trabant, Chad
- Trani, Luca
- Uieda, Leonardo
- Walker, Andrew
- Walther, Marcus
- Wassermann, Joachim
- Williams, Mark C.
- Winkelman, Andrew
- Zaccarelli, Riccardo
- Zad, Seyed Kasra Hosseini
- Zhu, Lijun
- van Driel, Martin
- van Wijk, Kasper

#### Funds

ObsPy was partially funded by the

- German Science Foundation (DFG) via grant DFG IG 16/9-1
- German Ministry for Education and Research (BMBF), GEOTECHNOLOGIEN grant 03G0646H.
- NERA project (Network of European Research Infrastructures for Earthquake Risk Assessment and Mitigation) under the European Community's Seventh Framework Programme (FP7/2007-2013) grant agreement n° 262330
- Leibniz Institute for Applied Geophysics (LIAG)
- VERCE EU-FP7 project (no. 283543)